<?php
include("cp_header_adv.php"); /**************************************************صفحة تعديل معرض الصور*******************************************************************/

//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';

/*  اسم الجدول وبداية الكويرى */  
$table="galleries";


//وضع مسار رفع الملفات والصور فى سيشن
$_SESSION['upload_folder']=$table;
$_SESSION['page_id']=$_GET['id'];


$sort_num=1;

//بداية الاستعلام
$query="select * from galleries where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);
$sort_num=$fetch[0];	
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {


if (isset($_FILES['image'])){
   
$_POST['submit']=="اضافة2";
}

err1:

	


//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$_POST['desc'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['desc']));
$desc=str_replace("'","\'",$_POST['desc']);
$modified=$date=date('Y-m-d H:i:s');
$active;
$priority;
$date=$_POST['date'];

$writer=$_POST['writer'];
$keywords=$_POST['keywords'];
$seo_desc=$_POST['seo_desc'];


if(isset($_POST['priority'])){
$priority='1';
}else{
$priority='0';	
}

if(isset($_POST['active'])){
$active='1';
}else{
$active='0';	
}

$images=str_replace(',null', '', $_POST['images']);
	
	
//بداية الاستعلام
$query="update galleries set title='$title' , `desc`='$desc' ,`writer`='$writer',`modified`='$modified' ,`user_modified`='".$_SESSION[$domain."_user"]."',`seo_desc`='$seo_desc', `active`='$active',`date`='$date',`images`='$images',keywords='$keywords' , `priority`='$priority' where id=".$_GET['id'];
	
	
//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"Update `$table` 
			set title=? , `desc`=? ,`writer`=?,`seo_desc`=?, `active`=?,`date`=?,`images`=?,keywords=? ,`modified`=?,`user_modified`=? , `priority`=?  
			Where id= ? "
	);

	
	//نهيئة المتغيرات وحمايتها من الحقن
	mysqli_stmt_bind_param($query,'ssssisssssii',
				
		$title,$desc,$writer,$seo_desc,$active,$date,$images,$keywords,$modified,$_SESSION[$domain."_user"],$priority,$_GET['id']

	);


				
	//تنفيذ الاستعلام وتخزين حالته
	$execute_status=mysqli_stmt_execute($query);
				 
	//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
	if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم رفع الوصف</div>";
goto endall;
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  		
}
//header("location: add_galleries.php");
unset($_POST['submit']);


}

error:

?>	
	

	
	
<div id="cp_title"> تعديل المعرض
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>		
</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data" method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id']?>">
<div class="cp_word_body">


<div class="cp_login_row " style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>عنوان المعرض</div>
<div class="cp_field">
<input class="required" alt="1" name="title" type="text" value="<?php echo $fetch['title'] ?>" />
<div class="field_val "></div>
</div>
</div>


<div class="cp_login_row" >
<div class="cp_title"><span style="color:red">*</span>تاريخ المعرض</div>
<div class="cp_field">
<input class="datepicker" alt="1" value="<?php echo $fetch['date'] ?>"  name="date" type="text" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row " style="float:right;;">
<div class="cp_title"><span style="color:red">*</span>الوصف</div>
<div class="cp_field">
	

<textarea  class="required wymeditor"   alt="1" id="txtDefaultHtmlArea" name="desc" ><?php echo $fetch['desc']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>


<div class="cp_login_row " style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>الكاتب</div>
<div class="cp_field">
<input class="required" alt="1" name="writer" type="text" value="<?php echo $fetch['writer'] ?>" />
<div class="field_val "></div>
</div>
</div>
<div class="cp_login_row " style="float:right;;">
<div class="cp_title">الكلمات المفتاحية</div>
<div class="cp_field">
	

<textarea  class="requiredx" alt="1" id="txtDefaultHtmlArea" name="seo_desc" ><?php echo $fetch['seo_desc']; ?></textarea>	
<div class="field_val" ></div>
</div>
</div>



<div class="cp_login_row" >
<div class="cp_title">وضع العلامة المائية</div>
<div class="cp_field">
<input alt="1" class="water_mark" name="water_mark" type="checkbox"  />	
</div>
</div>
<div class="cp_field" >
<div class="cp_title">الصور الحالية</div> 
<?php $_SESSION['image_width']='900' ; ?>
<div class="cp_field" >
<?php
$current_images=explode(",",$fetch['images']);
$xx=0;
foreach ($current_images as $key => $value) {
//echo $value;	

     
  
   /*استخراج الصورة الاساسية*/  
  $current_image=explode(".",$value);
if($xx!=0){
?>

<div class="image_thumb">
<div class="image_image">
<img loading='lazy' class="more_img"  
src="../img/<?php echo $table ; ?>/<?php echo $current_image[0]; ?>_tiny.webp?time=<?php echo time();?>" 
style="opacity:1;filter:alpha(opacity=100);"/>	
</div>	

<div class="image_del" table="<?php echo $table ;?>"  
 image_id="<?php echo $current_image[0]; ?>" 
 ext="<?php echo $current_image[1]; ?>"
 id="<?php echo $_GET['id']; ?>" >
</div>

</div>

<?php }$xx++;} ?>

</div>
</div>


<div class="cp_field" >
<div class="cp_title">اضافة صور</div>
<div class="cp_field" >
<div id="fileuploader" style="height:200px;">رفع الصور</div> 
 <?php $_SESSION['image_width']='900' ; ?>
</div>
</div>

<div class="cp_login_row "  style=" height:20px;">
<div class="cp_field">
<input style="margin-top:20px;" alt="1" value="<?php echo $fetch['images'] ?>" id="images" name="images" class="required" name="title" type="text" />
<div style="margin-top:-100px;" class="field_val "></div>	
</div>
</div>

<div class="cp_login_row half_row_wide_right"  style="float:right;;">
<div class="cp_title">الكلمات المفتاحية</div>
<div class="cp_field">

<textarea class=" requiredx" alt="1"   name="keywords" ><?php echo $fetch['keywords']; ?></textarea>
<div class="field_val"></div>	
</div>
</div>



<div class="cp_login_row" >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="active" name="active" type="checkbox"  
<?php if($fetch['active']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="active" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>

<div class="field_val" ></div>	
</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="تعديل" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
<?php }?>
</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_galleries.php?search='> الانتقال لصفحة تعديل معرض الصور</a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_galleries.php?search=";
}, 5000);


});
</script>



